scala.tools.nsc

# NewLinePrintWriter

#### class NewLinePrintWriter extends PrintWriter

Source
  NewLinePrintWriter.scala

Linear Supertypes
PrintWriter, Writer, Flushable, Closeable, Appendable, AnyRef, Any
Type Hierarchy Learn more about scaladoc diagrams
Ordering

1. Alphabetic
2. By inheritance

Inherited

1. NewLinePrintWriter
2. PrintWriter
3. Writer
4. Flushable
5. Closeable
6. Appendable
7. AnyRef
8. Any

Implicitly

1. by any2stringadd
2. by StringFormat
3. by Ensuring
4. by ArrowAssoc

1. Hide All
2. Show all

Learn more about member selection
Visibility

1. Public
2. All

### Instance Constructors

1. #### new NewLinePrintWriter(out: Writer)

2. #### new NewLinePrintWriter(out: Writer, autoFlush: Boolean)

### Value Members

1. #### final def !=(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

2. #### final def ##(): Int

   Definition Classes
     AnyRef → Any

3. #### def +(other: String): String

   Implicit information
     This member is added by an implicit conversion from NewLinePrintWriter to any2stringadd[NewLinePrintWriter] performed by method any2stringadd in scala.Predef.
   Definition Classes
     any2stringadd

4. #### def ->[B](y: B): (NewLinePrintWriter, B)

   Implicit information
     This member is added by an implicit conversion from NewLinePrintWriter to ArrowAssoc[NewLinePrintWriter] performed by method ArrowAssoc in scala.Predef.
   Definition Classes
     ArrowAssoc
   Annotations
     @inline()

5. #### final def ==(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

6. #### def append(arg0: Char): PrintWriter

   Definition Classes
     PrintWriter → Writer → Appendable

7. #### def append(arg0: CharSequence, arg1: Int, arg2: Int): PrintWriter

   Definition Classes
     PrintWriter → Writer → Appendable

8. #### def append(arg0: CharSequence): PrintWriter

   Definition Classes
     PrintWriter → Writer → Appendable

9. #### final def asInstanceOf[T0]: T0

   Definition Classes
     Any

10. #### def checkError(): Boolean

    Definition Classes
      PrintWriter

11. #### def clearError(): Unit

    Attributes
      protected[java.io]
    Definition Classes
      PrintWriter

12. #### def clone(): AnyRef

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

13. #### def close(): Unit

    Definition Classes
      PrintWriter → Writer → Closeable

14. #### def ensuring(cond: (NewLinePrintWriter) ⇒ Boolean, msg: ⇒ Any): NewLinePrintWriter

    Implicit information
      This member is added by an implicit conversion from NewLinePrintWriter to Ensuring[NewLinePrintWriter] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring

15. #### def ensuring(cond: (NewLinePrintWriter) ⇒ Boolean): NewLinePrintWriter

    Implicit information
      This member is added by an implicit conversion from NewLinePrintWriter to Ensuring[NewLinePrintWriter] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring

16. #### def ensuring(cond: Boolean, msg: ⇒ Any): NewLinePrintWriter

    Implicit information
      This member is added by an implicit conversion from NewLinePrintWriter to Ensuring[NewLinePrintWriter] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring

17. #### def ensuring(cond: Boolean): NewLinePrintWriter

    Implicit information
      This member is added by an implicit conversion from NewLinePrintWriter to Ensuring[NewLinePrintWriter] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring

18. #### final def eq(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

19. #### def equals(arg0: Any): Boolean

    Definition Classes
      AnyRef → Any

20. #### def finalize(): Unit

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( classOf[java.lang.Throwable] )

21. #### def flush(): Unit

    Definition Classes
      PrintWriter → Writer → Flushable

22. #### def format(arg0: Locale, arg1: String, arg2: <repeated...>[AnyRef]): PrintWriter

    Definition Classes
      PrintWriter

23. #### def format(arg0: String, arg1: <repeated...>[AnyRef]): PrintWriter

    Definition Classes
      PrintWriter

24. #### def formatted(fmtstr: String): String

    Implicit information
      This member is added by an implicit conversion from NewLinePrintWriter to StringFormat[NewLinePrintWriter] performed by method StringFormat in scala.Predef.
    Definition Classes
      StringFormat
    Annotations
      @inline()

25. #### final def getClass(): Class[_]

    Definition Classes
      AnyRef → Any

26. #### def hashCode(): Int

    Definition Classes
      AnyRef → Any

27. #### final def isInstanceOf[T0]: Boolean

    Definition Classes
      Any

28. #### final def ne(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

29. #### final def notify(): Unit

    Definition Classes
      AnyRef

30. #### final def notifyAll(): Unit

    Definition Classes
      AnyRef

31. #### def print(arg0: Any): Unit

    Definition Classes
      PrintWriter

32. #### def print(arg0: String): Unit

    Definition Classes
      PrintWriter

33. #### def print(arg0: Array[Char]): Unit

    Definition Classes
      PrintWriter

34. #### def print(arg0: Double): Unit

    Definition Classes
      PrintWriter

35. #### def print(arg0: Float): Unit

    Definition Classes
      PrintWriter

36. #### def print(arg0: Long): Unit

    Definition Classes
      PrintWriter

37. #### def print(arg0: Int): Unit

    Definition Classes
      PrintWriter

38. #### def print(arg0: Char): Unit

    Definition Classes
      PrintWriter

39. #### def print(arg0: Boolean): Unit

    Definition Classes
      PrintWriter

40. #### def printf(arg0: Locale, arg1: String, arg2: <repeated...>[AnyRef]): PrintWriter

    Definition Classes
      PrintWriter

41. #### def printf(arg0: String, arg1: <repeated...>[AnyRef]): PrintWriter

    Definition Classes
      PrintWriter

42. #### def println(): Unit

    Definition Classes
      NewLinePrintWriter → PrintWriter

43. #### def println(arg0: Any): Unit

    Definition Classes
      PrintWriter

44. #### def println(arg0: String): Unit

    Definition Classes
      PrintWriter

45. #### def println(arg0: Array[Char]): Unit

    Definition Classes
      PrintWriter

46. #### def println(arg0: Double): Unit

    Definition Classes
      PrintWriter

47. #### def println(arg0: Float): Unit

    Definition Classes
      PrintWriter

48. #### def println(arg0: Long): Unit

    Definition Classes
      PrintWriter

49. #### def println(arg0: Int): Unit

    Definition Classes
      PrintWriter

50. #### def println(arg0: Char): Unit

    Definition Classes
      PrintWriter

51. #### def println(arg0: Boolean): Unit

    Definition Classes
      PrintWriter

52. #### def setError(): Unit

    Attributes
      protected[java.io]
    Definition Classes
      PrintWriter

53. #### final def synchronized[T0](arg0: ⇒ T0): T0

    Definition Classes
      AnyRef

54. #### def toString(): String

    Definition Classes
      AnyRef → Any

55. #### final def wait(): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

56. #### final def wait(arg0: Long, arg1: Int): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

57. #### final def wait(arg0: Long): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

58. #### def write(arg0: String): Unit

    Definition Classes
      PrintWriter → Writer

59. #### def write(arg0: String, arg1: Int, arg2: Int): Unit

    Definition Classes
      PrintWriter → Writer

60. #### def write(arg0: Array[Char]): Unit

    Definition Classes
      PrintWriter → Writer

61. #### def write(arg0: Array[Char], arg1: Int, arg2: Int): Unit

    Definition Classes
      PrintWriter → Writer

62. #### def write(arg0: Int): Unit

    Definition Classes
      PrintWriter → Writer

63. #### def →[B](y: B): (NewLinePrintWriter, B)

    Implicit information
      This member is added by an implicit conversion from NewLinePrintWriter to ArrowAssoc[NewLinePrintWriter] performed by method ArrowAssoc in scala.Predef.
    Definition Classes
      ArrowAssoc

### Inherited from PrintWriter

### Inherited from Writer

### Inherited from Flushable

### Inherited from Closeable

### Inherited from Appendable

### Inherited from AnyRef

### Inherited from Any

### Inherited by implicit conversion any2stringadd from NewLinePrintWriter to any2stringadd[NewLinePrintWriter]

### Inherited by implicit conversion StringFormat from NewLinePrintWriter to StringFormat[NewLinePrintWriter]

### Inherited by implicit conversion Ensuring from NewLinePrintWriter to Ensuring[NewLinePrintWriter]

### Inherited by implicit conversion ArrowAssoc from NewLinePrintWriter to ArrowAssoc[NewLinePrintWriter]

### Ungrouped